import 'package:rec_api_dart/src/helpers/checks.dart';

class DniPhoneData {
  static const String defaultPrefix = '+34';

  String? dni;
  String? phone;
  String? prefix;

  DniPhoneData({
    this.dni,
    this.phone,
    this.prefix = defaultPrefix,
  });

  bool valid() {
    var hasDni = Checks.isNotEmpty(dni);
    var hasPrefix = Checks.isNotEmpty(prefix);
    var hasPhone = Checks.isNotEmpty(phone);

    return hasDni && hasPrefix && hasPhone;
  }
}
